org.springframework.jms.listener.endpoint

## Interface JmsActivationSpecFactory

All Known Implementing Classes:
  DefaultJmsActivationSpecFactory, StandardJmsActivationSpecFactory

    public interface JmsActivationSpecFactory

Strategy interface for creating JCA 1.5 ActivationSpec objects based on a configured `JmsActivationSpecConfig` object.

JCA 1.5 ActivationSpec objects are typically JavaBeans, but unfortunately provider-specific. This strategy interface allows for plugging in any JCA-based JMS provider, creating corresponding ActivationSpec objects based on common JMS configuration settings.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `JmsActivationSpecConfig`, `JmsMessageEndpointManager.setActivationSpecFactory(org.springframework.jms.listener.endpoint.JmsActivationSpecFactory)`, `ResourceAdapter.endpointActivation(javax.resource.spi.endpoint.MessageEndpointFactory, javax.resource.spi.ActivationSpec)`

### Method Summary

All Methods Instance Methods Abstract Methods
`ActivationSpec` `createActivationSpec(ResourceAdapter adapter, JmsActivationSpecConfig config)` Create a JCA 1.5 ActivationSpec object based on the given `JmsActivationSpecConfig` object.

### Method Detail

#### createActivationSpec

    ActivationSpec createActivationSpec(ResourceAdapter adapter,
                                        JmsActivationSpecConfig config)

Create a JCA 1.5 ActivationSpec object based on the given `JmsActivationSpecConfig` object.

Parameters:
  `adapter` - the ResourceAdapter to create an ActivationSpec object for
  `config` - the configured object holding common JMS settings
Returns:
  the provider-specific JCA ActivationSpec object, representing the same settings